unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    Panel4: TPanel;
    Panel5: TPanel;
    Panel6: TPanel;
    Panel7: TPanel;
    procedure Panel6DragDrop(Sender, Source: TObject; X, Y: Integer);
    procedure Panel6DragOver(Sender, Source: TObject; X, Y: Integer;
      State: TDragState; var Accept: Boolean);
    procedure Panel6MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    FDragSrc: TPanel;

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{.$DEFINE LIVE_ANZEIGE}

{ TForm1 }

procedure TForm1.Panel6DragDrop(Sender, Source: TObject; X, Y: Integer);
var
  P: TPoint;
begin
  { Die nächsten beiden Zeilen können bei Live-Anzeige entfallen }
  {$IFNDEF LIVE_ANZEIGE}
  P := TPanel(Sender).ClientToParent(Point(X, Y));
  FDragSrc.Left := P.X - TPanel(Sender).Width;
  {$ENDIF}
end;

procedure TForm1.Panel6DragOver(Sender, Source: TObject; X, Y: Integer;
  State: TDragState; var Accept: Boolean);
var
  P: TPoint;
begin
  { die folgenden beiden Zeilen bewirken eine Live-Anzeige }
  {$IFDEF LIVE_ANZEIGE}
  P := TPanel(Sender).ClientToParent(Point(X, Y));
  FDragSrc.Left := P.X - TPanel(Sender).Width;
  {$ENDIF}
  Accept := true;
end;

procedure TForm1.Panel6MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  FDragSrc := TPanel(Sender);
  BeginDrag(true, 5);
end;

end.

